Index: kernel/ring.cc
===================================================================
--- kernel/ring.cc	(revision 11b6490b056dd2fc128f1ca13075d8022d3631d5)
+++ kernel/ring.cc	(revision e1b9e59662b1f940da6ec372a10651b525e52198)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: ring.cc,v 1.125 2009-07-28 08:49:15 Singular Exp $ */
+/* $Id: ring.cc,v 1.126 2009-07-28 09:56:59 Singular Exp $ */
 
 /*
@@ -384,6 +384,6 @@
 #endif
       continue;
-    } else
-    if (
+    }
+    else if (
     (  (r->order[l] >= ringorder_lp)
     ||(r->order[l] == ringorder_M)
@@ -411,10 +411,10 @@
           if (r->order[l] == ringorder_a64)
           {
-	    int64 *w=(int64 *)r->wvhdl[l];
-	    #if SIZEOF_LONG == 4
+            int64 *w=(int64 *)r->wvhdl[l];
+            #if SIZEOF_LONG == 4
                   Print("%*lld " ,nlen,w[i+j],i+j);
-	    #else
+            #else
             Print(" %*ld"  ,nlen,w[i+j],i+j);
-	    #endif
+            #endif
           }
           else
@@ -469,5 +469,6 @@
         }
         else PrintS(" ...");
-      } else
+      }
+      else
         PrintS(" (NULL)");
     }
@@ -1645,18 +1646,18 @@
   if (r->qideal!=NULL)
   {
-    if (copy_qideal) 
+    if (copy_qideal)
     {
       #ifndef NDEBUG
       if (!copy_ordering)
-	WerrorS("internal error: rCopy0(Q,TRUE,FALSE)");
+        WerrorS("internal error: rCopy0(Q,TRUE,FALSE)");
       else
       #endif
       {
       #ifndef NDEBUG
-	WarnS("internal bad stuff: rCopy0(Q,TRUE,TRUE)");
+        WarnS("internal bad stuff: rCopy0(Q,TRUE,TRUE)");
       #endif
-	rComplete(res);
+        rComplete(res);
         res->qideal= idrCopyR_NoSort(r->qideal, r, res);
-	rUnComplete(res);
+        rUnComplete(res);
       }
     }
@@ -2098,6 +2099,6 @@
             continue; // To make for check OrdSize bound...
           }
-        } else
-        if (r->typ[j].ord_typ == ro_is)
+        }
+        else if (r->typ[j].ord_typ == ro_is)
         {
           // Skip all intermediate blocks for undone variables:
@@ -2107,5 +2108,6 @@
           }
 
-        } else
+        }
+        else
         {
           if (r->typ[j].ord_typ==ro_cp)
@@ -2408,5 +2410,5 @@
 
   // We will act as rO_Syz on our own!!!
-  // Here we allocate an exponent as a level placeholder 
+  // Here we allocate an exponent as a level placeholder
   o[place]= -1;
   prev_ord=-1;
@@ -2480,5 +2482,6 @@
       Print("v[%d]: %010x", i, pVarOffset[i]);
 #endif
-    } else
+    }
+    else
       pVarOffset[i] = -1; // No change here...
   }
@@ -2507,5 +2510,5 @@
 //     }
 
-  
+
   // Moreover: we need to allocate the module component (v[0]) here!
   if( v[0] == -1) // It's possible that there was module component v0 at the begining (before prefix)!
@@ -3802,5 +3805,4 @@
             r->typ[i].data.is.componentWeights = NULL; // ?
           }
-          
 
           if( r->typ[i].data.is.pVarOffset != NULL )
@@ -3813,7 +3815,8 @@
         {
           if(r->typ[i].data.syz.limit > 0)
-            omFreeSize(r->typ[i].data.syz.syz_index, ((r->typ[i].data.syz.limit) +1)*sizeof(int)); 
+            omFreeSize(r->typ[i].data.syz.syz_index, ((r->typ[i].data.syz.limit) +1)*sizeof(int));
           r->typ[i].data.syz.syz_index = NULL;
-        } else if (r->typ[i].ord_typ == ro_syzcomp)
+        }
+        else if (r->typ[i].ord_typ == ro_syzcomp)
         {
 #ifndef NDEBUG
@@ -3834,5 +3837,5 @@
 
     omFreeSize((ADDRESS)r->VarOffset, (r->N +1)*sizeof(int));
-    
+
     if (r->ordsgn != NULL && r->CmpL_Size != 0)
       omFreeSize((ADDRESS)r->ordsgn,r->ExpL_Size*sizeof(long));
@@ -3982,5 +3985,5 @@
       Print("  start (level) %d, suffixpos: %d, VO: ",r->typ[j].data.isTemp.start, r->typ[j].data.isTemp.suffixpos);
 
-#if MYTEST      
+#if MYTEST
       for( int k = 0; k <= r->N; k++)
         if (r->typ[j].data.isTemp.pVarOffset[k] != -1)
@@ -3998,5 +4001,5 @@
 
       PrintS("weights: ");
-      
+
       if( r->typ[j].data.is.componentWeights == NULL )
         PrintS("NULL == [0,...0]\n");
@@ -4005,6 +4008,6 @@
         (r->typ[j].data.is.componentWeights)->show(); PrintLn();
       }
-      
-    } else
+    }
+    else
     {
       Print("  place %d",r->typ[j].data.dp.place);
@@ -4128,5 +4131,5 @@
   {
     assume( p != NULL );
-    
+
     p_Write(p, lmRing, tailRing);
 
@@ -4146,9 +4149,9 @@
 
       if (q != NULL)
-        PrintS("...\n");    
+        PrintS("...\n");
     }
   }
   else
-    PrintS("0\n");          
+    PrintS("0\n");
 }
 
@@ -4479,5 +4482,5 @@
 #ifndef NDEBUG
       WarnS("error in nc_rComplete");      // cleanup?//      rDelete(res);//      return r;      // just go on..
-#endif      
+#endif
     }
   }
@@ -4875,5 +4878,4 @@
         assume(r->typ[pos].data.is.F == NULL);
 
-        
         r->typ[pos].data.is.F = FF; // F is owened by ring now! TODO: delete at the end!
 
@@ -4936,7 +4938,7 @@
     currRing->typ[0].data.syz.limit = k;
     currRing->typ[0].data.syz.curr_index++;
-      
-  } else if(
-            (currRing->typ!=NULL) && 
+  }
+  else if(
+            (currRing->typ!=NULL) &&
             (currRing->typ[0].ord_typ==ro_isTemp)
            )
@@ -4946,5 +4948,6 @@
     Warn("rSetSyzComp(%d) in an IS ring! Be careful!", k);
 #endif
-  } else
+  }
+  else
   if ((currRing->order[0]!=ringorder_c) && (k!=0)) // ???
   {
